using SportsDivision.Domain.Entities;

namespace SportsDivision.Domain.Interfaces;

public interface ITournamentRepository : IRepository<Tournament>
{
    Task<IEnumerable<Tournament>> GetActiveAsync();
    Task<Tournament?> GetWithEventLevelsAsync(int tournamentId);
    Task<Tournament?> GetFullTournamentAsync(int tournamentId);
}
